Автор Тема: Problem s apt-get -f  (Прочетена 1457 пъти)

deoplig

  • Напреднали
  • *****
  • Публикации: 158
  • Distribution: arch 2009.02
  • Window Manager: Kde
    • Профил
Problem s apt-get -f
« -: Aug 17, 2007, 13:51 »
Здравейте!
Опитах да инсталирам gkrellm пакет по пакет заради зависимостите които новата версия искаше,но освен че си развалих системата Debian 4.0 друг резултат не получих.
Разгледах няколко подобни теми,смених stable със testing в sources.list който сега изглежда така:
Примерен код

#deb http://security.debian.org/ etch/updates main contrib
#deb-src http://security.debian.org/ etch/updates main contrib
#deb ftp://ftp.bg.debian.org/debian/ stable main contrib non-free unstable
deb http://ftp.bg.debian.org/debian/ testing main non-free contrib


пробвам с apt-get  upgrade и ако пробвам да инсталирам някой пакет ,винаги ми дава това-а ако го направя мисля че е по-добре да инсталирам наново KDE-to от диска-с други думи неискам да инсталирам а да downgrade-на пакетите:
Примерен код
debislav:~# apt-get upgrade
Reading package lists... Done
Building dependency tree... Done
You might want to run `apt-get -f install' to correct these.
The following packages have unmet dependencies:
  libc6-dev: Depends: libc6 (= 2.3.6.ds1-13) but 2.6.1-1 is installed
  libc6-i686: PreDepends: libc6 (= 2.3.6.ds1-13) but 2.6.1-1 is installed
  libgnutls13: Depends: liblzo2-2 but it is not installed
               Depends: libopencdk8 (>= 0.5.13) but 0.5.9-2 is installed
  locales: Depends: glibc-2.3.6.ds1-1 but it is not installable
E: Unmet dependencies. Try using -f.


ако агент_смит ме смъмри малко ,няма да се обидя-но на решение бих много се зарадвал-не че не ми се чете,предпочитам да ми  го каже някой който е 100 % сигурен че няма да си затрия почти цялата система заради apt-get -f...



Активен

Важно е нещата да не са прекалено сложни!

nov25

  • Напреднали
  • *****
  • Публикации: 64
    • Профил
Problem s apt-get -f
« Отговор #1 -: Aug 17, 2007, 14:28 »
Цитат
You might want to run `apt-get -f install' to correct these.




Активен

aaaaaa

  • Напреднали
  • *****
  • Публикации: 971
    • Профил
Problem s apt-get -f
« Отговор #2 -: Aug 17, 2007, 14:33 »
Когато минаваш от една версия на друга (в твоя случай от стабилната на тестващата се) трябва да правиш apt-get dist-upgrade. Направи сега apt-get update && apt-get dist-upgrade. Ако има проблеми, пробвай apt-get install -f. А защо ти се е наложило да минеш на тестващата се версия?
Активен

...to boldly go where no one has gone before...

deoplig

  • Напреднали
  • *****
  • Публикации: 158
  • Distribution: arch 2009.02
  • Window Manager: Kde
    • Профил
Problem s apt-get -f
« Отговор #3 -: Aug 17, 2007, 16:51 »
ето какво ми даде:
Примерен код
debislav:~# catapt-get -f dist-upgrade
bash: catapt-get: command not found
debislav:~# apt-get -f dist-upgrade
Reading package lists... Done
Building dependency tree... Done
Correcting dependencies... Done
Calculating upgrade... Done
The following packages will be REMOVED:
  g++-3.4 libc6-dev libc6-i686 libglib1.2 libpng12-dev libsasl2 libstdc++6-dev
  libvte4 zlib1g-dev
The following NEW packages will be installed:
  cdrdao dbus-x11 gcc-4.2-base hal-info htdig libasyncns0 libavahi-core5
  libavc1394-0 libbind9-30 libdatrie0 libdb4.5 libdns32 libflac++6 libflac8
  libfreebob0 libglib1.2ldbl libgpod2 libiec61883-0 libisc32 libisccc30
  libisccfg30 libjack-dev libjack0 libjasper1 libkarma0 libkeyutils1
  libkpathsea4 libltdl3 liblwres30 liblzo2-2 libmagick9 libmtp5 libnetpbm10
  libofa0 libpoppler-qt1 libpoppler1 libpq5 libpqxx-2.6.9 libpulse0 libsmbios1
  libsnmp10 libtagc0 libthai-data libthai0 libtunepimp5 libvte9 libxcb-shape0
  libxcb-shm0 libxcb-xv0 libxcb1 linux-image-2.6.21-2-486 lockfile-progs
  netpbm sepolgen tex-common texlive-base texlive-base-bin texlive-common
  texlive-doc-base texlive-fonts-recommended xorg-docs
  xserver-xorg-video-intel
The following packages have been kept back:
  k3b
The following packages will be upgraded:
  acpid adduser alsa-base alsa-tools-gui alsa-utils amarok amarok-engines
  amarok-xine amor apt apt-utils aptitude aria ark arts artsbuilder atlantik
  avahi-daemon base-files bind9-host binutils bittornado bittornado-gui bzip2
  cdparanoia cheesetracker console-common console-data cpio cpp-3.4 cpp-4.1
  dbus debconf debconf-i18n debian-archive-keyring debianutils desktop-base
  dhcdbd dhcp3-client dhcp3-common dialog dictionaries-common diff dirmngr
  discover1 discover1-data dmidecode dnsutils doc-linux-text docbook-xml
  dosfstools dpkg dpkg-dev dselect edict eject exim4 exim4-base exim4-config
  exim4-daemon-light eyesapplet fastjar fftw3 fifteenapplet file findutils
  finger flashplugin-nonfree freeglut3 freqtweak gcc-3.4 gcc-3.4-base
  gcc-4.1-base gdk-imlib1 gdk-imlib11 genisoimage gettext gettext-base
  gnome-bin gnome-libs-data gnupg-agent gnupg2 gpgsm gqview grub gs gs-common
  gs-gpl gsfonts gzip hal hdparm hicolor-icon-theme iamerican ibritish
  imlib-base imlib11 info initramfs-tools initscripts iproute iptables
  iputils-arping iputils-ping ispell jack jackd java-common juk kaboodle
  kamera kanjidic kappfinder karbon kasteroids katapult kate katomic
  kaudiocreator kbackgammon kbattleship kbedic kblackbox kbounce kbstate kcalc
  kcharselect kchart kcoloredit kcontrol kcron kdat kde-i18n-bg
  kdeaccessibility kdeadmin kdeadmin-kfile-plugins kdeartwork
  kdeartwork-emoticons kdeartwork-misc kdeartwork-style kdeartwork-theme-icon
  kdeartwork-theme-window kdebase kdebase-bin kdebase-data kdebase-kio-plugins
  kdegames kdegames-card-data kdegraphics kdegraphics-kfile-plugins kdelibs
  kdelibs-data kdelibs4c2a kdelirc kdemultimedia kdemultimedia-kappfinder-data
  kdemultimedia-kfile-plugins kdemultimedia-kio-plugins kdepasswd kdeprint
  kdesktop kdessh kdetoys kdeutils kdewallpapers kdf kdm kdvi kedit kenolaba
  kexi kfax kfaxview kfind kfloppy kformula kfouleggs kgamma kghostview
  kgoldrunner kgpg khelpcenter khexedit kicker kiconedit kivio kivio-data
  kjots kjumpingcube klaptopdaemon klickety klines klipper klogd kmag
  kmahjongg kmenuedit kmid kmilo kmines kmix kmoon kmousetool kmouth kmplayer
  kmplayer-common kmrml knetwalk knetworkconf kodo koffice koffice-data
  koffice-libs kolf kolourpaint konqueror konqueror-nsplugins konquest konsole
  kooka koshell kpackage kpager kpat kpdf kpersonalizer kplato kpoker
  kpovmodeler kpresenter kpresenter-data kradio krec kregexpeditor kreversi
  krita krita-data kruler ksame ksayit kscd kscreensaver kscreensaver-xsavers
  kshisen kshutdown ksim ksirtet ksmiletris ksmserver ksnake ksnapshot
  ksokoban kspaceduel ksplash kspread ksvg ksysguard ksysguardd ksysv kteatime
  kthesaurus ktimer ktip ktron kttsd ktuberling ktux kugar kuickshow kuser
  kview kviewshell kwalletmanager kweather kwin kwin4 kword kword-data
  kworldclock laptop-detect less liba52-0.7.4 libacl1 libakode2 libao2
  libart-2.0-2 libart2 libarts1-akode libarts1-audiofile libarts1-mpeglib
  libarts1-xine libarts1c2a libartsc0 libasound2 libaspell15 libatm1 libattr1
  libaudio2 libaudiofile0 libavahi-client3 libavahi-common-data
  libavahi-common3 libavahi-compat-libdnssd1 libavahi-qt3-1 libbluetooth2
  libbz2-1.0 libcaca0 libcdparanoia0 libconvert-binhex-perl
  libcrypt-ssleay-perl libcucul0 libcupsys2 libcurl3 libcurl3-gnutls
  libdaemon0 libdbus-1-3 libdbus-glib-1-2 libdirectfb-0.9-25 libdiscover1
  libdrm2 libdv4 libdvdread3 libedit2 libevent1 libexif12 libexpat1 libfam0
  libfinance-quote-perl libfltk1.1 libfontenc1 libfreetype6 libgadu3 libgcc1
  libgcrypt11 libgl1-mesa-dri libgl1-mesa-glx libglade2-0 libglu1-mesa
  libgnokii3 libgnome32 libgnomesupport0 libgnomeui32 libgnorba27
  libgnorbagtk0 libgpg-error0 libgpgme11 libgphoto2-2 libgphoto2-port0
  libgraphicsmagick1 libgsf-1-114 libgsf-1-common libgssapi2
  libgstreamer-plugins-base0.10-0 libgstreamer0.10-0 libgtk1.2
  libgtk1.2-common libgtk2.0-0 libgtk2.0-bin libgtk2.0-common libhal-storage1
  libhal1 libhtml-parser-perl libhtml-tableextract-perl libhtml-tree-perl
  libice6 libicu36 libieee1284-3 libjack0.100.0-0 libjack0.100.0-dev libkcddb1
  libkdegames1 libkonq4 libkrb53 libksba8 libkscan1 liblcms1 libldap2
  liblircclient0 liblockfile1 liblog4j1.2-java libmagic1 libmeanwhile1
  libmime-perl libmusicbrainz4c2a libmysqlclient15off libncurses5 libncursesw5
  libnews-nntpclient-perl libnfsidmap2 libnl1-pre6 libnm-util0 libnss-mdns
  libopencdk8 liborbit0 libpango1.0-0 libpango1.0-common libpisock9 libpng12-0
  libportaudio0 libpq4 libpth20 libqt3-mt libreadline5 librsvg2-2
  librsvg2-common libruby1.8 libsamplerate0 libsane libsasl2-2
  libsasl2-modules libsdl-sound1.2 libsdl1.2debian libsdl1.2debian-alsa
  libselinux1 libsemanage1 libsensors3 libsepol1 libslang2 libsm6 libsmbclient
  libsmokeqt1 libsmpeg0 libsndfile1 libsnmp-base libsqlite3-0 libssl0.9.8
  libstartup-notification0 libstdc++6 libsysfs2 libtag1c2a libtasn1-3
  libtasn1-3-bin libtheora0 libtimedate-perl libungif4g liburi-perl
  libusb-0.1-4 libvolume-id0 libvorbis0a libvorbisenc2 libvorbisfile3
  libvte-common libwine libwmf0.2-7 libwpd8c2a libwrap0 libwxgtk2.4-1 libxau6
  libxaw7 libxcomposite1 libxcursor1 libxdamage1 libxdmcp6 libxext6 libxfixes3
  libxfont1 libxft2 libxi6 libxine1 libxinerama1 libxkbfile1 libxml2 libxmu6
  libxmuu1 libxpm4 libxrandr2 libxrender1 libxslt1.1 libxss1 libxt6 libxtst6
  libxv1 libxvmc1 libzvbi-common libzvbi0 linux-image-2.6-486 linux-sound-base
  lirc locales login lsb-base lskat lsof m4 mailx make man-db manpages menu
  mktemp module-init-tools mpeglib mplayer mplayer-skin-blue mtr-tiny mutt
  mysql-common nano ncurses-base ncurses-bin ncurses-term netbase netcat
  network-manager network-manager-kde nfs-common noatun
  openoffice.org-thesaurus-pl openssh-client openssl passwd pia pidentd
  pinentry-qt pkg-config pmount policycoreutils portmap ppp psmisc python
  python-central python-eyed3 python-minimal python-pyogg python-selinux
  python-semanage python-support python2.4 python2.4-minimal readline-common
  reportbug ruby1.8 scantv sed selinux-policy-refpolicy-targeted sharutils
  superkaramba synaptic sysklogd sysv-rc sysvinit sysvinit-utils tar tasksel
  tasksel-data tcpd telnet texinfo ttf-dejavu ttf-dustin ttf-sjfonts twm
  type-handling ucf udev unrar unzip usbutils v4l-conf vim-common vim-tiny
  vorbis-tools w3m wget whois wine wodim wpasupplicant x11-common xawtv
  xawtv-plugins xawtv-tools xbase-clients xfonts-100dpi xfonts-75dpi
  xfonts-base xfonts-encodings xfonts-utils xkb-data xml-core xorg xresprobe
  xscreensaver xserver-xorg xserver-xorg-core xserver-xorg-input-all
  xserver-xorg-input-evdev xserver-xorg-input-kbd xserver-xorg-input-mouse
  xserver-xorg-input-synaptics xserver-xorg-input-wacom xserver-xorg-video-all
  xserver-xorg-video-apm xserver-xorg-video-ark xserver-xorg-video-glint
  xserver-xorg-video-i128 xserver-xorg-video-i810 xserver-xorg-video-mga
  xserver-xorg-video-newport xserver-xorg-video-nsc xserver-xorg-video-nv
  xserver-xorg-video-rendition xserver-xorg-video-s3 xserver-xorg-video-savage
  xserver-xorg-video-siliconmotion xserver-xorg-video-sis
  xserver-xorg-video-tseng xserver-xorg-video-via xserver-xorg-video-voodoo
  xutils-dev xwine zlib1g
613 upgraded, 62 newly installed, 9 to remove and 1 not upgraded.
1 not fully installed or removed.
Need to get 459MB of archives.
After unpacking 153MB of additional disk space will be used.
Do you want to contin

искам да мина на тестинг защото незнам друг начин да си оправя зависимостите...
Предпочитам да си остана със стейбъл , така че ако можете да кажете нещо   Моля...
Активен

Важно е нещата да не са прекалено сложни!

bnight

  • Напреднали
  • *****
  • Публикации: 313
  • Distribution: Ubuntu 8.10
  • Window Manager: KDE 3.5.10
    • Профил
    • WWW
Problem s apt-get -f
« Отговор #4 -: Aug 17, 2007, 17:05 »
давай това би трябвало да ти реши проблема успех.
Активен

Registered Linux user: 473460
http://skyhost.bg - Хостинг и Домейни

the_real_maniac

  • Напреднали
  • *****
  • Публикации: 1258
  • Kernel panic, me - no panic ;-) :-)
    • Профил
Problem s apt-get -f
« Отговор #5 -: Aug 17, 2007, 18:18 »
1. apt-get update
2. apt-get dist-upgrade
и ако искаш тестинг преди това (nano /etc/apt/apt.conf и слагаш на Default-Release "testing" ;-) )
но независмо дали да или не за testing , просто дай dist-upgrade И после се оправяй, ако всичко друго си пробвал !!! '<img'> това е

+задължително apt-get update При проблем със зависимостите и няколко мирор-а !! в sources.list

айде и успех :_P '<img'> !
Активен

Powered by Debian GNU / LINUX /// Intel inside ...

„Насилието е последното убежище на некомпетентността“ - Айзък Азимов (1920 — 1992)

triplek

  • Напреднали
  • *****
  • Публикации: 564
    • Профил
Problem s apt-get -f
« Отговор #6 -: Aug 17, 2007, 18:18 »
Съвсем нормално. С едно хранилище не става. И non-free или го имаш на всички или го нямаш.

Направи хранилищата така:

deb http://security.debian.org/ lenny/updates main contrib non-free #Тук пише секюрити но там са бутнати много важни системни пакети, пакети на Х и т.н. които се свалят при инсталацията и са зависимости на други. Не става да го няма.
deb-src http://security.debian.org/ lenny/updates main contrib non-free
deb http://ftp.bg.debian.org/debian/ lenny main non-free contrib
deb-src http://ftp.bg.debian.org/debian/ lenny main non-free contrib

Смятам че така няма да имаш проблем

След това

apt-get update
apt-get dist-upgrade

само с ъпгрейд не става защото има различия във stable/testing и прочие. А това че правело бози и т.н. са митове и легенди. Аз всеки ден го правя примерно и нямам абсолютно никакви проблеми. Даже е препоръчително защото на много пакети им сменят имената и трябва апт да си изпълни зависимостите.

Успех



Активен

Debian Lenny/sid

Gaara

  • Напреднали
  • *****
  • Публикации: 631
  • Distribution: Debian
  • Window Manager: E17
    • Профил
Problem s apt-get -f
« Отговор #7 -: Aug 17, 2007, 18:25 »
http://www.myfreesoft.net/phpBB2/viewtopic.php?t=36
Мисля, че няма нужда от коментар, но все пак..... слагаш най-висок приоритет на версията, на която искаш да си. След това правиш apt-get update && apt-get dist-upgrade
Активен

Last night, Darth Vader came down from planet Vulcan and told me that if you don't install Debian, he'd melt your brain.

the_real_maniac

  • Напреднали
  • *****
  • Публикации: 1258
  • Kernel panic, me - no panic ;-) :-)
    • Профил
Problem s apt-get -f
« Отговор #8 -: Aug 17, 2007, 19:01 »
gaara, същото имного по-цивилизовано е

Default-Release в apt.conf ! huh :-P '<img'>
Активен

Powered by Debian GNU / LINUX /// Intel inside ...

„Насилието е последното убежище на некомпетентността“ - Айзък Азимов (1920 — 1992)

deoplig

  • Напреднали
  • *****
  • Публикации: 158
  • Distribution: arch 2009.02
  • Window Manager: Kde
    • Профил
Problem s apt-get -f
« Отговор #9 -: Aug 17, 2007, 19:22 »
Трогнат съм от многото отговори-сега свалям пакетите.после ако има нещо не-добро ще кажа '<img'>

имах малко проблеми с xine но вече всичко е прекрасно.
 МИР ВАМ  '<img'>



Активен

Важно е нещата да не са прекалено сложни!

Подобни теми
Заглавие Започната от Отговора Прегледи Последна публикация
Problem s HP 5L
Настройка на хардуер
marck 0 1877 Последна публикация May 13, 2002, 12:41
от marck
nek'uv problem...
Настройка на програми
knight 1 1939 Последна публикация Aug 09, 2002, 19:17
от n_antonov
Lan Problem
Хардуерни и софтуерни проблеми
Dzver 6 2573 Последна публикация Jan 02, 2003, 17:29
от
KDE 3.1 problem
Настройка на програми
hannibal 0 1392 Последна публикация Mar 22, 2003, 12:19
от hannibal
Lan problem
Настройка на програми
vaskoblue 0 1390 Последна публикация Apr 14, 2003, 12:07
от vaskoblue